package com.neusoft.smart.pos.inventory.persistent.mapper;

import com.neusoft.smart.pos.inventory.persistent.domain.InventoryGoodsThirdpartyAuth;
import com.neusoft.smart.pos.inventory.persistent.domain.InventoryGoodsThirdpartyAuthExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface InventoryGoodsThirdpartyAuthMapper {
    
    int countByExample(InventoryGoodsThirdpartyAuthExample example);
    
    int deleteByExample(InventoryGoodsThirdpartyAuthExample example);
    
    int deleteByPrimaryKey(Integer id);
    
    int insert(InventoryGoodsThirdpartyAuth record);
    
    int insertSelective(InventoryGoodsThirdpartyAuth record);
    
    List<InventoryGoodsThirdpartyAuth> selectByExampleWithBLOBs(InventoryGoodsThirdpartyAuthExample example);
    
    List<InventoryGoodsThirdpartyAuth> selectByExample(InventoryGoodsThirdpartyAuthExample example);
    
    InventoryGoodsThirdpartyAuth selectByPrimaryKey(Integer id);
    
    int updateByExampleSelective(@Param("record") InventoryGoodsThirdpartyAuth record, @Param("example") InventoryGoodsThirdpartyAuthExample example);
    
    int updateByExampleWithBLOBs(@Param("record") InventoryGoodsThirdpartyAuth record, @Param("example") InventoryGoodsThirdpartyAuthExample example);
    
    int updateByExample(@Param("record") InventoryGoodsThirdpartyAuth record, @Param("example") InventoryGoodsThirdpartyAuthExample example);
    
    int updateByPrimaryKeySelective(InventoryGoodsThirdpartyAuth record);
    
    int updateByPrimaryKeyWithBLOBs(InventoryGoodsThirdpartyAuth record);
    
    int updateByPrimaryKey(InventoryGoodsThirdpartyAuth record);
    
    void batchInsert(@Param("items") List<InventoryGoodsThirdpartyAuth> items);
}